#ifndef _Produkt1
#define _Produkt1
#include <iostream.h>
#include <iomanip.h>
const int DL=20;
const int N=10;

class TProdukt1
{protected:
	char nazwa[DL];
	float cena;	
	float podatek;
public:
	TProdukt1(char*nazwa_="",float cena_=0,float podatek_=0);
	TProdukt1(TProdukt1&);
    ~TProdukt1();
 	char* Podaj_nazwa();
	void Nadaj_nazwa(char*);
	float Podaj_cena();
	float Podaj_cena(int);
	void Nadaj_cena(float);
	void Nadaj_podatek(float);
	float Podaj_podatek();
 	int operator==(TProdukt1);
	friend ostream& operator<<(ostream&, TProdukt1&);
};

class TZakup
{ TProdukt1 produkt;
  int ilosc;
  public:
	  TZakup(char*nazwa_="",float cena_=0,float podatek_=0, int ilosc_=0)
		  :produkt(nazwa_,cena_,podatek_),ilosc(ilosc_)
	  {
		  cout<<"Konstruktor zwykly TZakup"<<endl;
	  }
	  
	  TZakup(TZakup& z):produkt(z.produkt), ilosc(z.ilosc)
	  {
		  cout<<"Konstrutor kopiujacy TZakup"<<endl;
	  }
	  
	  ~TZakup()
	  {cout<<"Destruktor TZakup"<<endl;}

	  void Nadaj_produkt(TProdukt1& produkt_){produkt=produkt_;}
	  
	  TProdukt1 Podaj_produkt() {return produkt;}
	  
	  int Podaj_ilosc() {return ilosc;}
	  
	  void Nadaj_ilosc(int ilosc_) {ilosc=ilosc_;}
	  
	  float Podaj_wartosc_zakupu() {return ilosc*produkt.Podaj_cena(0);}
	  
	  friend ostream& operator<<(ostream&a, TZakup& z);	 
};
class TRachunek
{  
    TZakup  zakupy[N];
    int ile;
    public:
    TRachunek();
    int sprzedaj();
    void wyswietl();
 };


#endif